From f2cbab9c58c8a34d7798ebe19a14b386d828e7a6 Mon Sep 17 00:00:00 2001
From: Amit Kapila <akapila@postgresql.org>
Date: Wed, 21 Oct 2020 09:05:01 +0530
Subject: [PATCH v2] Update description of spilled counters in
 pg_stat_replication_slots view.

Author: Amit Kapila
Reviewed-by: Sawada Masahiko
Discussion: https://postgr.es/m/CA+fd4k5_pPAYRTDrO2PbtTOe0eHQpBvuqmCr8ic39uTNmR49Eg@mail.gmail.com
---
 doc/src/sgml/monitoring.sgml | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index f5cf163..8dc94ba 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -2603,9 +2603,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
        </para>
        <para>
         Number of transactions spilled to disk after the memory used by
-        logical decoding exceeds <literal>logical_decoding_work_mem</literal>. The
-        counter gets incremented both for toplevel transactions and
-        subtransactions.
+        logical decoding of changes from WAL for this slot exceeds
+        <literal>logical_decoding_work_mem</literal>. The counter gets
+        incremented both for toplevel transactions and subtransactions.
       </para></entry>
      </row>
 
@@ -2614,9 +2614,12 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
         <structfield>spill_count</structfield> <type>bigint</type>
        </para>
        <para>
-        Number of times transactions were spilled to disk. Transactions
+        Number of times transactions were spilled to disk while performing
+        decoding of changes from WAL for this slot. Transactions
         may get spilled repeatedly, and this counter gets incremented on every
-        such invocation.
+        such invocation. This can be used to gauge the I/O occurred during
+        logical decoding and can be used to tune
+        <literal>logical_decoding_work_mem</literal>.
       </para></entry>
      </row>
 
-- 
1.8.3.1

